GripColorSelected 属性 (ActiveX)
指定所选夹点的颜色。 支持的平台:仅限 Windows 属性值只读:不 类型:枚举acColor 控制选定的夹具(绘制为填充框)。有效范围为 1 到 255,或此处列出的常量之一:
言论此属性的初始值为 12。 注意:此属性的值存储在 GRIPHOT 系统变量中。
例子VBA: Sub Example_GripColorSelected() ' This example reads and modifies the preference value that controls ' the color of selected grips. ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadPreferencesSelection Dim originalValue As Variant, newValue As Variant ' Get the selection preferences object Set ACADPref = ThisDrawing.Application.preferences.Selection ' Read and display the original value originalValue = ACADPref.GripColorSelected MsgBox "The GripColorSelected preference is set to: " & originalValue ' Modify the GripColorSelected preference by setting it to green ACADPref.GripColorSelected = acGreen newValue = ACADPref.GripColorSelected MsgBox "The GripColorSelected preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.GripColorSelected = originalValue MsgBox "The GripColorSelected preference was reset back to: " & originalValue End Sub 可视化 LISP: (vl-load-com) (defun c:Example_GripColorSelected() ;; This example reads and modifies the preference value that controls ;; the color of selected grips. ;; When finished, this example resets the preference value back to ;; its original value. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Get the selection preferences object (setq ACADPref (vla-get-Selection (vla-get-preferences acadObj))) ;; Read and display the original value (setq originalValue (vla-get-GripColorSelected ACADPref)) (alert (strcat "The GripColorSelected preference is set to: " (itoa originalValue))) ;; Modify the GripColorSelected preference by setting it to green (vla-put-GripColorSelected ACADPref acGreen) (setq newValue (vla-get-GripColorSelected ACADPref)) (alert (strcat "The GripColorSelected preference has been set to: " (itoa newValue))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-GripColorSelected ACADPref originalValue) (alert (strcat "The GripColorSelected preference was reset back to: " (itoa originalValue))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-16 00:08
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.